%define clean_rpm 1
%define beta %{nil}
%define is_release 1
%define DATE 20020306
%define rel 0.73.0

%define libtool 0

Name: kdeartwork
Version: 3.0.5a
Summary: Additional artwork (themes, sound themes, ...) for KDE
URL: http://www.kde.org/
License: GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root

%if %{is_release}
%if "%{beta}" != ""
Release: 0.%{beta}.%{rel}
Source: %{name}-%{beta}.tar.bz2
%else
Release: %{rel}
Source: %{name}-%{version}.tar.bz2
%endif
%else
Release: 0.cvs%{DATE}.%{rel}
Source: %{name}-%{DATE}.tar.bz2
%endif

BuildRequires: kdelibs
BuildRequires: kdelibs-devel
BuildRequires: kdebase
BuildRequires: kdebase-devel
BuildRequires: autoconf
BuildRequires: automake15
BuildRequires: libtool
BuildRequires: glibc-devel
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: libstdc++-devel
BuildRequires: qt-devel

%description
Additional artwork (themes, sound themes, ...) for KDE

%package locolor
Summary: Low-color icons for KDE
Group: User Interface/Desktops

%description locolor
Low-color icons for KDE.
Install %{name}-locolor if you intend to use KDE on a display that supports
256 or less colors.

%package screensavers
Summary: Additional screensavers for KDE
Group: User Interface/Desktops

%description screensavers
Additional screensavers for KDE.
kdeartwork-screensavers includes the kbanner, kblob, kbouboule, klines, klorenz,
kmatrix, kmorph3d, kpartsaver, kpipes, kpolygon, kpyro, krock, kscience,
kslidescreen, kslideshow, kspace, kswarm and kvm screensavers.

%package kworldclock
Summary: Themes for KWorldClock
Group: User Interface/Desktops
Requires: kdetoys >= %{version}

%description kworldclock
Themes for KWorldClock.

%prep
%if %{is_release}
%setup
%else
%setup -n %{name}
%endif

find . -type d -name CVS | xargs rm -rf
unset QTDIR || : ; . /etc/profile.d/qt.sh

%if %{libtool}
ln -s /usr/bin/automake-1.5 automake
ln -s /usr/bin/aclocal-1.5 aclocal
export PATH=`pwd`:$PATH
make -f admin/Makefile.common cvs
%endif

CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix}

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/wallpapers \
         $RPM_BUILD_ROOT%{_datadir}/icons \
         $RPM_BUILD_ROOT%{_datadir}/apps/kthememgr/Themes \
         $RPM_BUILD_ROOT%{_datadir}/sounds

make install DESTDIR="$RPM_BUILD_ROOT"

# Remove dupes, we get them from kdebase
rm -f $RPM_BUILD_ROOT%{_datadir}/applnk/System/ScreenSavers/KBlankscreen.desktop

%files
%defattr(-,root,root)
%{_datadir}/apps/kwin/icewm-themes/*
%{_datadir}/apps/kwin/*.desktop
%{_libdir}/kde3/plugins/styles/*
%{_libdir}/kde3/*.*
%{_datadir}/apps/kstyle/themes/*
%{_datadir}/apps/kthememgr/Themes/*
%{_datadir}/sounds/*
%{_datadir}/wallpapers/*
%{_datadir}/icons/slick
%{_datadir}/icons/Technical
%{_datadir}/icons/ikons
%{_datadir}/icons/Technical

%files locolor
%defattr(-,root,root)
%{_datadir}/icons/Locolor

%files screensavers
%defattr(-,root,root)
%{_bindir}/*.kss
%{_bindir}/kxs*
%{_datadir}/applnk/System/ScreenSavers/*.desktop
%{_datadir}/apps/kscreensaver/*.png
%config %{_datadir}/config/*

%files kworldclock
%defattr(-,root,root)
%{_datadir}/apps/kworldclock/maps/*

%clean
%if %{clean_rpm}
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}
%endif

%changelog
* Thu Dec 26 2002 Than Ngo <than@redhat.com> 3.0.5a-1
- update to 3.0.5a

* Mon Sep 30 2002 Than Ngo <than@redhat.com> 3.0.3-0.7.1
- 3.0.3

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Rebuild

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 3.0.0-3
- final

* Thu Jan 31 2002 Bernhard Rossenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020129.2
- Remove KBlankscreen, it's in kdebase

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jan  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020108.1
- Add missing files

* Mon Jan  7 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020107.1
- Update

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.1
- Update
